Bug 151143 - math/gcalctool: Simplified Chinese localization error
Summary: math/gcalctool: Simplified Chinese localization error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-01 20:10 UTC by darcsis
Modified: 2010-10-29 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (415 bytes, patch)
2010-10-01 20:10 UTC, darcsis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description darcsis 2010-10-01 20:10:07 UTC
The po/zh_CN.po contains a flaw about digits in Simplified Chinese
localization. Even in Chinese digits should be displayed as Arabic numerals but
not in localized forms.

Fix: the diff patch is included as attachment.

Patch attached with submission follows:
How-To-Repeat: Install the latest version of GNOME in ports.
Switch GNOME to Simplified Chinese and open gcalctool.
Comment 1 Jaakko Heinonen freebsd_committer 2010-10-06 16:42:15 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Ports PR.
Comment 2 Pav Lucistnik freebsd_committer 2010-10-29 13:02:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Assign to maintainers
Comment 3 dfilter service freebsd_committer 2010-10-29 13:26:10 UTC
kwm         2010-10-29 12:26:04 UTC

  FreeBSD ports repository

  Modified files:
    math/gcalctool       Makefile 
  Added files:
    math/gcalctool/files patch-po__zh_CN.po 
  Log:
  The po/zh_CN.po contains a flaw about digits in Simplified Chinese
  localization. Even in Chinese digits should be displayed as Arabic numerals but
  not in localized forms.
  
  PR:             ports/151143
  Submitted by:   "Denise H. G." <darcsis@gmail.com>
  With Hat:       gnome@
  
  Revision  Changes    Path
  1.88      +1 -0      ports/math/gcalctool/Makefile
  1.1       +14 -0     ports/math/gcalctool/files/patch-po__zh_CN.po (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2010-10-29 13:26:22 UTC
State Changed
From-To: open->closed

Committed thanks! 

Can you submit this upstream? https://bugzilla.gnome.org